Loading...
Searching...
No Matches
oval_system_characteristics.h File Reference
OVAL » OVALSYS
`#include "oscap.h"`
`#include "oscap_source.h"`
`#include "oval_types.h"`
`#include "oval_definitions.h"`
`#include "oscap_export.h"`
Include dependency graph for oval_system_characteristics.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | oval_syschar_collection_flag_t { SYSCHAR_FLAG_UNKNOWN = 0 , SYSCHAR_FLAG_ERROR = 1 , SYSCHAR_FLAG_COMPLETE = 2 , SYSCHAR_FLAG_INCOMPLETE = 3 , SYSCHAR_FLAG_DOES_NOT_EXIST = 4 , SYSCHAR_FLAG_NOT_COLLECTED = 5 , SYSCHAR_FLAG_NOT_APPLICABLE = 6 }
| System characteristics result flag.
enum | oval_syschar_status_t { SYSCHAR_STATUS_UNKNOWN = 0 , SYSCHAR_STATUS_ERROR = 1 , SYSCHAR_STATUS_EXISTS = 2 , SYSCHAR_STATUS_DOES_NOT_EXIST = 3 , SYSCHAR_STATUS_NOT_COLLECTED = 4 }
| System characteristics status.
enum | oval_message_level_t { OVAL_MESSAGE_LEVEL_NONE = 0 , OVAL_MESSAGE_LEVEL_DEBUG = 1 , OVAL_MESSAGE_LEVEL_INFO = 2 , OVAL_MESSAGE_LEVEL_WARNING = 3 , OVAL_MESSAGE_LEVEL_ERROR = 4 , OVAL_MESSAGE_LEVEL_FATAL = 5 }
| Message level.

## Functions

OSCAP_API const char * | oval_syschar_collection_flag_get_text (oval_syschar_collection_flag_t flag)
OSCAP_API const char * | oval_syschar_status_get_text (oval_syschar_status_t status)
OSCAP_API const char * | oval_message_level_text (oval_message_level_t)
Setters
OSCAP_API void | oval_syschar_model_set_generator (struct oval_syschar_model *model, struct oval_generator *generator)
Getters
OSCAP_API struct oval_generator * | oval_syschar_model_get_generator (struct oval_syschar_model *model)
OSCAP_API oval_syschar_collection_flag_t | oval_variable_get_collection_flag (struct oval_variable *)

## Detailed Description

Author
  "David Niemoller" David.nosp@m..Nie.nosp@m.molle.nosp@m.r@g2.nosp@m.-inc..nosp@m.com